Name: erlang
Version: R9C2
Release: alt0.1

Summary: A programming language developed by Ericsson
License: EPL
Group: Development/Other
#Packager: Alexey Borovskoy <alb@altlinux.ru>

URL: http://www.erlang.org
Source0: otp_src_R9C-2.tar.gz

Patch1: %name-erts-configure.patch
Patch2: %name-lib-crypto-crypto_drv.patch

BuildPreReq: gcc-c++, gcc, libssl-devel, libncurses-devel, libkrb5-devel, openssl, flex

AutoProv: yes
#AutoReq: yes

#Requires: 

%description
Erlang is a programming language developed at Ericsson Computer
Science Laboratory.  Erlang provides many features which are more
commonly associated with an operating system: concurrent processes,
scheduling, memory management, distribution, networking, etc.

%prep
%setup -qn otp_src_R9C-2
%patch1
%patch2

%build

./configure --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --enable-hipe \
	    --enable-threads \
	    --with-ssl=%_includedir/openssl \
	    --disable-erlang-mandir

%make_build

%install

%set_verify_elf_method textrel=relaxed
%add_findreq_skiplist %_libdir/%name/erts-*/bin/*

%make_install INSTALL_PREFIX=%buildroot install

%__mkdir_p %buildroot%_docdir/%name-%version
%__mv %buildroot%_libdir/%name/erts-5.3.6.3/*.html %buildroot%_docdir/%name-%version/
%__cp EPLICENCE %buildroot%_docdir/%name-%version/LICENCE
%__cp AUTHORS %buildroot%_docdir/%name-%version/AUTHORS

%__rm %buildroot%_bindir/*
%__rm %buildroot%_libdir/%name/bin/epmd
%__rm %buildroot%_libdir/%name/bin/erlc
%__rm %buildroot%_libdir/%name/bin/erl
%__rm %buildroot%_libdir/%name/bin/run_erl
%__rm %buildroot%_libdir/%name/bin/start
%__rm %buildroot%_libdir/%name/bin/to_erl

%__ln_s %_libdir/%name/bin/erl %buildroot%_bindir/erl
%__ln_s %_libdir/%name/bin/erlc %buildroot%_bindir/erlc
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/epmd %buildroot%_libdir/%name/bin/epmd
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/erl %buildroot%_libdir/%name/bin/erl
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/erlc %buildroot%_libdir/%name/bin/erlc
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/run_erl %buildroot%_libdir/%name/bin/run_erl
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/start %buildroot%_libdir/%name/bin/start
%__ln_s %_libdir/%name/erts-5.3.6.3/bin/to_erl %buildroot%_libdir/%name/bin/to_erl

%__rm %buildroot%_libdir/%name/Install
%__rm -r %buildroot%_libdir/%name/misc
%__rm -r %buildroot%_libdir/%name/usr
%__rm -r %buildroot%_libdir/%name/erts-5.3.6.3/{doc,man,src}
%__rm -r %buildroot%_libdir/%name/lib/*/{src,c_src,examples,contribs,java_src,include}
%__rm -r %buildroot%_libdir/%name/lib/gs-*
%__rm -r %buildroot%_libdir/%name/lib/megaco-*
%__rm -r %buildroot%_libdir/%name/lib/tv-*
%__rm -r %buildroot%_libdir/%name/lib/toolbar-*
%__rm -r %buildroot%_libdir/%name/lib/pman-*
%__rm -r %buildroot%_libdir/%name/lib/debugger-*
%__rm -r %buildroot%_libdir/%name/lib/tools-*/emacs
%__rm -r %buildroot%_libdir/%name/lib/ssl-*/{pkix,priv/obj}
%__rm -r %buildroot%_libdir/%name/lib/orber-*/COSS

subst 's|ROOTDIR=.*|ROOTDIR=%_libdir/%name|' %buildroot%_libdir/%name/erts-*/bin/erl
subst 's|ROOTDIR=.*|ROOTDIR=%_libdir/%name|' %buildroot%_libdir/%name/erts-*/bin/start

%files
%_bindir/*
%_libdir/%name
%_docdir/

%changelog
* Mon Aug 30 2004 Alexey Borovskoy <alb@altlinux.ru> R9C2-alt0.1
- R9C-2
- Remove Emacs support
- Fix building crypto and ssl modules
- Drop sources and examples from main package
- Drop megaco module. It's don't work. I dont know why
- Drop gs modules due dropping Tcl/Tk support
- Drop tv,toolbar,pman,debugger modules due gs drop

* Sat May 15 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt3
- Fix build process

* Sun Feb 22 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt2
- Added some fixes from freebsd ports (thanks to Ermine!)
- Build without tcl/tk & java

* Wed Dec 10 2003 Ott Alex <ott@altlinux.ru> R9C.0-alt1
- Initial build for ALTLinux
